<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:23 CEST 2019 -->
<title>BlobParameterBufferImp (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BlobParameterBufferImp (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/impl/BaseGDSFactoryPlugin.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html" title="interface in org.firebirdsql.gds.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/impl/BlobParameterBufferImp.html" target="_top">Frames</a></li>
<li><a href="BlobParameterBufferImp.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.org.firebirdsql.gds.impl.ParameterBufferBase">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.impl</div>
<h2 title="Class BlobParameterBufferImp" class="title">Class BlobParameterBufferImp</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html" title="class in org.firebirdsql.gds.impl">org.firebirdsql.gds.impl.ParameterBufferBase</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.impl.BlobParameterBufferImp</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="../../../../org/firebirdsql/gds/Parameter.html" title="interface in org.firebirdsql.gds">Parameter</a>&gt;, <a href="../../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">BlobParameterBufferImp</span>
extends <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html" title="class in org.firebirdsql.gds.impl">ParameterBufferBase</a>
implements <a href="../../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a></pre>
<div class="block">Implementation of BlobParameterBuffer.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../serialized-form.html#org.firebirdsql.gds.impl.BlobParameterBufferImp">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.gds.BlobParameterBuffer">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.firebirdsql.gds.<a href="../../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a></h3>
<code><a href="../../../../org/firebirdsql/gds/BlobParameterBuffer.html#FILTER_PARAMETER">FILTER_PARAMETER</a>, <a href="../../../../org/firebirdsql/gds/BlobParameterBuffer.html#SOURCE_INTERP">SOURCE_INTERP</a>, <a href="../../../../org/firebirdsql/gds/BlobParameterBuffer.html#SOURCE_TYPE">SOURCE_TYPE</a>, <a href="../../../../org/firebirdsql/gds/BlobParameterBuffer.html#TARGET_INTERP">TARGET_INTERP</a>, <a href="../../../../org/firebirdsql/gds/BlobParameterBuffer.html#TARGET_TYPE">TARGET_TYPE</a>, <a href="../../../../org/firebirdsql/gds/BlobParameterBuffer.html#TYPE">TYPE</a>, <a href="../../../../org/firebirdsql/gds/BlobParameterBuffer.html#TYPE_SEGMENTED">TYPE_SEGMENTED</a>, <a href="../../../../org/firebirdsql/gds/BlobParameterBuffer.html#TYPE_STREAM">TYPE_STREAM</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/BlobParameterBufferImp.html#BlobParameterBufferImp--">BlobParameterBufferImp</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.impl.ParameterBufferBase">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html" title="class in org.firebirdsql.gds.impl">ParameterBufferBase</a></h3>
<code><a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#addArgument-int-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#addArgument-int-byte:A-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#addArgument-int-int-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#addArgument-int-long-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#addArgument-int-java.lang.String-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#addArgument-int-java.lang.String-org.firebirdsql.encodings.Encoding-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#equals-java.lang.Object-">equals</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#getArgumentAsInt-int-">getArgumentAsInt</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#getArgumentAsString-int-">getArgumentAsString</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#getArgumentsList--">getArgumentsList</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#getDefaultEncoding--">getDefaultEncoding</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#getLength--">getLength</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#getParameterBufferMetaData--">getParameterBufferMetaData</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#getType--">getType</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#hasArgument-int-">hasArgument</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#hashCode--">hashCode</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#iterator--">iterator</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#removeArgument-int-">removeArgument</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#size--">size</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#toBytes--">toBytes</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#toBytesWithType--">toBytesWithType</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#toXdrable--">toXdrable</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html#writeArgumentsTo-java.io.OutputStream-">writeArgumentsTo</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.BlobParameterBuffer">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.<a href="../../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a></h3>
<code><a href="../../../../org/firebirdsql/gds/BlobParameterBuffer.html#addArgument-int-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/BlobParameterBuffer.html#addArgument-int-int-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/BlobParameterBuffer.html#addArgument-int-java.lang.String-">addArgument</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ParameterBuffer">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.<a href="../../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></h3>
<code><a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-byte:A-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-long-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#addArgument-int-java.lang.String-org.firebirdsql.encodings.Encoding-">addArgument</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#getArgumentAsInt-int-">getArgumentAsInt</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#getArgumentAsString-int-">getArgumentAsString</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#getType--">getType</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#hasArgument-int-">hasArgument</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#iterator--">iterator</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#removeArgument-int-">removeArgument</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#size--">size</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#toBytes--">toBytes</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#toBytesWithType--">toBytesWithType</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#toXdrable--">toXdrable</a>, <a href="../../../../org/firebirdsql/gds/ParameterBuffer.html#writeArgumentsTo-java.io.OutputStream-">writeArgumentsTo</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#forEach-java.util.function.Consumer-" title="class or interface in java.lang">forEach</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true#spliterator--" title="class or interface in java.lang">spliterator</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BlobParameterBufferImp--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BlobParameterBufferImp</h4>
<pre>public&nbsp;BlobParameterBufferImp()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/impl/BaseGDSFactoryPlugin.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html" title="interface in org.firebirdsql.gds.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/impl/BlobParameterBufferImp.html" target="_top">Frames</a></li>
<li><a href="BlobParameterBufferImp.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.org.firebirdsql.gds.impl.ParameterBufferBase">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
